Bug 846618 - ifup doesn't attempt DHCPV6 when DHCPV4 fails
ifup doesn't attempt DHCPV6 when DHCPV4 fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 05:04 EDT by Wouter De Borger
Modified: 2014-03-16 23:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 725035
Environment:
Last Closed: 2013-04-25 10:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
potential patch (1.49 KB, patch)
2013-03-28 11:06 EDT, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Wouter De Borger 2012-08-08 05:04:02 EDT
+++ This bug was initially created as a clone of Bug #725035 +++

Description of problem:

On dual stack networks, with both DHCPV4 and DHCPV6 enabled, DHCPV6 is not attemped when DHCPV4 fails. 

(see /etc/sysconfig/network-scripts/ifup-eth line 212)
---
if /sbin/dhclient ${DHCLIENTARGS} ${DEVICE} ; then
 echo $" done."
else
 echo $" failed."  
 exit 1
fi
---

Steps to Reproduce:
1. configure both BOOTPROTO=dhcp and DHCPV6C=yes on any eth interface
2. connect the device to an IPV6 only network 
3. ifup the interface
  
Actual results:

DHCPV4 fails
DHCPV6 not started

Expected results:

DHCPV4 fails
DHCPV6 started

Additional info:

running two dhcp clients causes resolve.conf to be overwritten, which may cause unanticipated change of DNS server. IMHO, this is preferable to no DNS at all when the V4 network fails.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 13:29:59 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Lukáš Nykrýn 2013-03-28 11:06:50 EDT
Created attachment 717689 [details]
potential patch
Comment 2 Fedora End Of Life 2013-04-03 15:35:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Update System 2013-04-12 07:23:04 EDT
initscripts-9.46-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/initscripts-9.46-1.fc19
Comment 4 Fedora Update System 2013-04-12 11:16:14 EDT
Package initscripts-9.46-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.46-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5496/initscripts-9.46-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-04-25 10:15:16 EDT
initscripts-9.46-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.